<template>
  <TaskCard v-bind="props" :show-actions="false" class="my-task-card-wrapper">
    <template #title-right>
      <RectRight :size="12" class="my-task-card-arrow" />
    </template>
    <div class="my-task-card-time">2025年2月5日 至 2025年3月5日</div>
  </TaskCard>
</template>

<script setup lang="ts">
import TaskCard from './TaskCard.vue';
import { CommonTaskCardProps } from './card';
import { RectRight } from '@nutui/icons-vue-taro';

defineOptions({
  name: 'MyTaskCard',
});

const props = withDefaults(defineProps<CommonTaskCardProps>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.my-task-card-wrapper {
  .my-task-card-arrow {
    color: boleGetCssVar('text-color', 'primary');
  }

  .my-task-card-time {
    font-weight: 400;
    @include ellipsis;
    font-size: 24px;
    color: boleGetCssVar('text-color', 'primary');
    line-height: 36px;
    margin-bottom: 14px;
  }
}
</style>
